#
# spec file for package acx (Version 20070101)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           acx
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Module for ACX100 and ACX111 Cards
Version:        20070101
Release:        5.1
Group:          System/Kernel
License:        GPL v2 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://acx100.sourceforge.net/
AutoReqProv:    on
Source:         acx-%{version}.tar.bz2
Patch:          acx-skb_change.diff
Source100:      preamble
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n acx -p %_sourcedir/preamble kdump um

%description
This package contains a driver for wireless LAN adapters based on Texas
Instruments ACX100 and ACX111 chipsets.



Authors:
--------
    ACX100/ACX111 OSS Driver Development Team

%package -n acx-KMP
Group:          System/Kernel
License:        GPL v2 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Kernel Module for ACX100 and ACX111 Cards

%description -n acx-KMP
This package contains a driver for wireless LAN adapters based on Texas
Instruments ACX100 and ACX111 chipsets.



Authors:
--------
    ACX100/ACX111 OSS Driver Development Team

%prep
%setup -n acx-%{version}
%patch

%build
cd ..
mkdir obj
echo "flavors_to_build: %{flavors_to_build}"
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r acx-%{version} obj/$flavor
  make -k -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
cd ..
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 05 2007 - ro@suse.de
- make it build with current kernel
* Fri Apr 20 2007 - ro@suse.de
- no debuginfo (no main package)
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 22 2007 - jg@suse.de
- created own pacakge for acx (formerly part of wlan-kmp)
- update to version 20070101
